Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

[Q] HTC Explorer Balkan RUU

OP PCTerror

14th May 2014, 06:08 PM   |  #1  
PCTerror's Avatar
OP Junior Member
Flag Nova Kapela
Thanks Meter: 0
 
9 posts
Join Date:Joined: May 2014
More
Hello guys i have a problem and urgently need
Quote:

RUU_Pico_HTC_Balkan_1.42.1131.2_Radio_10.43.80.14H _1.18.80.18_release_270491_signed.exe

I finded a few links over google and xda, but links are mostly dead or unresponsive, i want to put my phone back to original state without superuser and all, and that RUU is highly needable to me, if anyone have it, please leave a link or contact me over PM...
Last edited by PCTerror; 14th May 2014 at 07:07 PM. Reason: Nonsense
14th May 2014, 10:33 PM   |  #2  
TheStrix's Avatar
Senior Member
Flag Mumbai
Thanks Meter: 318
 
446 posts
Join Date:Joined: May 2014
Donate to Me
More
RUU
Go here and click on your region's ruu..
http://androidruu.com/?developer=Pico
15th May 2014, 08:56 AM   |  #3  
PCTerror's Avatar
OP Junior Member
Flag Nova Kapela
Thanks Meter: 0
 
9 posts
Join Date:Joined: May 2014
More
Quote:
Originally Posted by TheStrix

Go here and click on your region's ruu..

That one is not compaibile with my phone i allready tryed it.
16th May 2014, 08:14 PM   |  #4  
TheStrix's Avatar
Senior Member
Flag Mumbai
Thanks Meter: 318
 
446 posts
Join Date:Joined: May 2014
Donate to Me
More
Quote:
Originally Posted by PCTerror

That one is not compaibile with my phone i allready tryed it.

Have u tried it??Its of balkan region itself..
if not, why?
and if yes, whats the reason??
17th May 2014, 09:30 PM   |  #5  
PCTerror's Avatar
OP Junior Member
Flag Nova Kapela
Thanks Meter: 0
 
9 posts
Join Date:Joined: May 2014
More
Quote:
Originally Posted by TheStrix

Have u tried it??Its of balkan region itself..
if not, why?
and if yes, whats the reason??

I tried and when the program start updating my phone with that ruu it says its not correct version of RUU, the link you gaved me its very helpfull but they dotn have correct version, there is 1.17 version and I need 1.42
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes